Package org.pushingpixels.flamingo.api.ribbon.resize

# Interface RibbonBandResizeSequencingPolicy

All Known Implementing Classes:
  `BaseRibbonBandResizeSequencingPolicy`, `CoreRibbonResizeSequencingPolicies.CollapseFromLast`, `CoreRibbonResizeSequencingPolicies.RoundRobin`

public interface RibbonBandResizeSequencingPolicy
Defines the resize sequencing policies for `RibbonTask`s.

The resize sequencing policy defines which ribbon band will be chosen next when the ribbon is shrinked / expanded. It is installed with the `RibbonTask.setResizeSequencingPolicy(RibbonBandResizeSequencingPolicy)` .

The `CoreRibbonResizeSequencingPolicies` provides two built in resize sequencing policies:

- `CoreRibbonResizeSequencingPolicies.RoundRobin` under which the ribbon bands are being collapsed in a cyclic fashion, distributing the collapsed pixels between the different bands.
- `CoreRibbonResizeSequencingPolicies.CollapseFromLast` under which the ribbon bands are being collapsed from right to left.

## Method Summary

Modifier and Type
Method
Description
`AbstractRibbonBand`
`next()`
Returns the next ribbon band for collapse.
`void`
`reset()`
Resets this policy.

## Method Details

### reset

void reset()
Resets this policy. Note that this method is for internal use only and should not be called by the application code.

### next

AbstractRibbonBand next()
Returns the next ribbon band for collapse.

Returns:
  The next ribbon band for collapse.